#!/bin/bash

PATH="/snap/bin:/usr/local/bin:$PATH"
FILE=/var/lib/nagios/perccli.out
TMP_FILE=/tmp/perccli.out
RETURN_CODE_FILE=/var/lib/nagios/perccli.retcode
CMD="/usr/local/bin/perccli /call show j"

if [ $# -gt 0 ]; then
    echo "This program will cache the output of '$CMD' as follows"
    echo "    stdout + stderr -> $FILE"
    echo "    return code     -> $RETURN_CODE_FILE"
    echo
    echo "It does not accept any option or argument"
    exit 0
fi

$CMD > $TMP_FILE 2>&1
RC=$?
echo $RC > $RETURN_CODE_FILE
mv $TMP_FILE $FILE
exit 0
